-- $Id: ApplyListTests.hs,v 1.1 2013/03/17 03:03:50 leavens Exp $
module ApplyListTests where
import ApplyList
import Testing
main = do startTesting "ApplyListTests $Revision: 1.1 $"
          errs <- composeTests testsInteger testsBool 0
          doneTesting errs
testsInteger :: [TestCase [Integer]]
testsInteger = [eqTest (applyList [] 3) "==" []
        ,eqTest (applyList [(+2), (*10), (*0)] 4) "==" [6,40,0]
        ,eqTest (applyList [(\x -> 3*x*x + 2*x +1)] 10) "==" [321]
        ,eqTest (applyList [(*23),(+4),(\x -> 3*x*x + 2*x +1)] 10) 
                "==" [230,14,321]
        ]
testsBool :: [TestCase [Bool]]
testsBool = [eqTest (applyList [] 5) "==" []
        ,eqTest (applyList [(==2), (/=10), (==7)] 7) "==" [False,True,True]
        ,eqTest (applyList [(== 'c'),(== 'd'),(=='x')] 'd')
                "==" [False,True,False]
        ,eqTest (applyList [(\x -> x > 5 || x < 7),(\x -> 3*x < 50)] 10)
         "==" [True,True]
        ]
