-- $Id: UnionTests.hs,v 1.1 2013/03/17 18:12:17 leavens Exp leavens $
module UnionTests where
import Union
import Testing
main = do startTesting "UnionTests $Revision: 1.1 $" 
          errs <- composeTests testsInteger testsChar 0
          doneTesting errs
testsInteger :: [TestCase [Integer]]
testsInteger = [eqTest (union [] []) "==" []
        ,eqTest (union [5,4,3,2] []) "==" [5,4,3,2]
        ,eqTest (union [5,4,3,2,6] [2,3,4,5]) "==" [6,2,3,4,5]
        ,eqTest (union [1 .. 10] [20 .. 9999]) "==" ([1 .. 10] ++ [20 .. 9999])
        ,eqTest (union [1,2,3,4,5,6] [7,6,5,4,3,2,1]) "==" [7,6,5,4,3,2,1]  ]
testsChar :: [TestCase [Char]]
testsChar = [eqTest (union ['x','y','z'] ['w','x']) "==" ['y','z','w','x']
            ,eqTest (union [] "string aelofch") "==" "string aelofch"
            ,eqTest (union "gr8 day" "to die") "==" "gr8ayto die"
            ,eqTest (union "flapjack" "flabergstd") "==" "pjckflabergstd"  ]
