-- $Id: ShapeTests.hs,v 1.2 2013/03/17 18:12:17 leavens Exp leavens $
module ShapeTests where
import Shape
import Testing

main = dotests "ShapeTests $Revision: 1.2 $"  tests
tests :: [TestCase Bool]
tests = 
    let cr = (circle (10.0,10.0) 4.0)
        rt = (rectangle (100.0,104.0) (105.0,100.0))
        crt = cr `join` rt
    in [assertTrue (inside (circle (0.0,0.0) 2.0) (0.0,0.0))
       ,assertTrue (inside (circle (1.0,0.0) 3.0) (2.0,2.0))
       ,assertTrue (inside cr (14.0,10.0))
       ,assertTrue (inside cr (10.0,14.0))
       ,assertTrue (inside cr (6.0,10.0))
       ,assertTrue (inside cr (10.0,6.0))
       ,assertFalse (inside cr (14.0,14.0))
       ,assertTrue (inside (rectangle (0.0,4.0) (5.0,0.0)) (2.5,2.0))
       ,assertTrue (inside rt (100.0,100.0))
       ,assertTrue (inside rt (100.0,104.0))
       ,assertTrue (inside rt (105.0,104.0))
       ,assertTrue (inside rt (105.0,100.0))
       ,assertFalse (inside rt (105.1,104.1))
       ,assertFalse (inside rt (105.1,104.1))
       ,assertTrue (inside ((rectangle (0.0,10.0) (12.0,0.0))
                            `join` (rectangle (0.0,20.0) (24.0,0.0)))
                    (13.0,12.5))
       ,assertTrue (inside crt (10.0,10.0))
       ,assertTrue (inside crt (10.0,14.0))
       ,assertTrue (inside crt (102.5,102.0))
       ,assertTrue (inside crt (100.0,104.0))
       ,assertTrue (inside crt (105.0,100.0))  ]
